﻿-- Talent Set Manager
-- by Jadya - EU Well of Eternity

local addonName, addonTable = ...

local locale = GetLocale()
addonTable.L = {}
local L = addonTable.L

local debug
--[===[@debug@
debug = true
--@end-debug@]===]

if debug then
 L["set_already_exists"] = "A talent set with that name already exists"
 L["sets_limit_reached"] = "You cannot create any more new talent sets."
 L["confirm_save_set"] = "Would you like to save the talent set '%s'?"
 L["confirm_delete_set"] = "Are you sure you want to delete the talent set %s?"
 L["confirm_overwrite_set"] = "You already have a talent set named %s. Would you like to overwrite it?"
 L["link_equipment"] = "Link Equipment"
 L["current_equipment"] = "Current: %s"
 L["equipment_menu_title1"] = "Select an equipment set to be equipped"
 L["equipment_menu_title2"] = "along with this set of talents:"
 L["equipment_not_found"] = "The equipment set %s was not found and has been unlinked from the talent set %s"
 L["no_talent_sets"] = "No %s talent sets available"
end

if locale == "esES" then 
L["confirm_delete_set"] = "Are you sure you want to delete the talent set %s?" -- Requires localization
L["confirm_overwrite_set"] = "You already have a talent set named %s. Would you like to overwrite it?" -- Requires localization
L["confirm_save_set"] = "Would you like to save the talent set '%s'?" -- Requires localization
L["current_equipment"] = "Current: %s" -- Requires localization
L["equipment_menu_title1"] = "Select an equipment set to be equipped" -- Requires localization
L["equipment_menu_title2"] = "along with this set of talents:" -- Requires localization
L["equipment_not_found"] = "The equipment set %s was not found and has been unlinked from the talent set %s" -- Requires localization
L["link_equipment"] = "Link Equipment" -- Requires localization
L["no_talent_sets"] = "No %s talent sets available" -- Requires localization
L["set_already_exists"] = "A talent set with that name already exists" -- Requires localization
L["sets_limit_reached"] = "You cannot create any more new talent sets." -- Requires localization

elseif locale == "esMX" then 
L["confirm_delete_set"] = "Are you sure you want to delete the talent set %s?" -- Requires localization
L["confirm_overwrite_set"] = "You already have a talent set named %s. Would you like to overwrite it?" -- Requires localization
L["confirm_save_set"] = "Would you like to save the talent set '%s'?" -- Requires localization
L["current_equipment"] = "Current: %s" -- Requires localization
L["equipment_menu_title1"] = "Select an equipment set to be equipped" -- Requires localization
L["equipment_menu_title2"] = "along with this set of talents:" -- Requires localization
L["equipment_not_found"] = "The equipment set %s was not found and has been unlinked from the talent set %s" -- Requires localization
L["link_equipment"] = "Link Equipment" -- Requires localization
L["no_talent_sets"] = "No %s talent sets available" -- Requires localization
L["set_already_exists"] = "A talent set with that name already exists" -- Requires localization
L["sets_limit_reached"] = "You cannot create any more new talent sets." -- Requires localization

elseif locale == "itIT" then 
L["confirm_delete_set"] = "Sei sicuro di voler eliminare il set di talenti %s?"
L["confirm_overwrite_set"] = "Hai già un set di talenti chiamato %s. Vuoi sovrascriverlo?"
L["confirm_save_set"] = "Vuoi salvare il set di talenti '%s'?"
L["current_equipment"] = "Attuale: %s"
L["equipment_menu_title1"] = "Seleziona un set di equipaggiamento da indossare"
L["equipment_menu_title2"] = "insieme a questo set di talenti:"
L["equipment_not_found"] = "Il set di equipaggiamento %s non è stato trovato ed è stato scollegato dal set di talenti %s"
L["link_equipment"] = "Collega equipaggiamento"
L["no_talent_sets"] = "Nessun set di talenti %s disponibile"
L["set_already_exists"] = "Un set di talenti con quel nome esiste già."
L["sets_limit_reached"] = "Non puoi creare ulteriori set di talenti."

elseif locale == "ptBR" then 
L["confirm_delete_set"] = "Are you sure you want to delete the talent set %s?" -- Requires localization
L["confirm_overwrite_set"] = "You already have a talent set named %s. Would you like to overwrite it?" -- Requires localization
L["confirm_save_set"] = "Would you like to save the talent set '%s'?" -- Requires localization
L["current_equipment"] = "Current: %s" -- Requires localization
L["equipment_menu_title1"] = "Select an equipment set to be equipped" -- Requires localization
L["equipment_menu_title2"] = "along with this set of talents:" -- Requires localization
L["equipment_not_found"] = "The equipment set %s was not found and has been unlinked from the talent set %s" -- Requires localization
L["link_equipment"] = "Link Equipment" -- Requires localization
L["no_talent_sets"] = "No %s talent sets available" -- Requires localization
L["set_already_exists"] = "A talent set with that name already exists" -- Requires localization
L["sets_limit_reached"] = "You cannot create any more new talent sets." -- Requires localization

elseif locale == "frFR" then
L["confirm_delete_set"] = "Are you sure you want to delete the talent set %s?" -- Requires localization
L["confirm_overwrite_set"] = "You already have a talent set named %s. Would you like to overwrite it?" -- Requires localization
L["confirm_save_set"] = "Would you like to save the talent set '%s'?" -- Requires localization
L["current_equipment"] = "Current: %s" -- Requires localization
L["equipment_menu_title1"] = "Select an equipment set to be equipped" -- Requires localization
L["equipment_menu_title2"] = "along with this set of talents:" -- Requires localization
L["equipment_not_found"] = "The equipment set %s was not found and has been unlinked from the talent set %s" -- Requires localization
L["link_equipment"] = "Link Equipment" -- Requires localization
L["no_talent_sets"] = "No %s talent sets available" -- Requires localization
L["set_already_exists"] = "A talent set with that name already exists" -- Requires localization
L["sets_limit_reached"] = "You cannot create any more new talent sets." -- Requires localization

elseif locale == "deDE" then 
L["confirm_delete_set"] = "Soll das Talentset \"%s\" wirklich gelöscht werden?"
L["confirm_overwrite_set"] = "Ein Talentset mit dem Namen \"%s\" existiert bereits. Möchtest du es überschreiben?"
L["confirm_save_set"] = "Soll das Talentset \"%s\" gespeichert werden?"
L["current_equipment"] = "Momentan: %s"
L["equipment_menu_title1"] = "Wähle das anzulegende Ausrüstungsset"
L["equipment_menu_title2"] = "along with this set of talents:" -- Requires localization
L["equipment_not_found"] = "The equipment set %s was not found and has been unlinked from the talent set %s" -- Requires localization
L["link_equipment"] = "Link Equipment" -- Requires localization
L["no_talent_sets"] = "No %s talent sets available" -- Requires localization
L["set_already_exists"] = "Ein Talentset mit diesem Namen existiert bereits."
L["sets_limit_reached"] = "Es können keine weiteren Talentsets angelegt werden."

elseif locale == "ruRU" then 
L["confirm_delete_set"] = "Are you sure you want to delete the talent set %s?" -- Requires localization
L["confirm_overwrite_set"] = "You already have a talent set named %s. Would you like to overwrite it?" -- Requires localization
L["confirm_save_set"] = "Would you like to save the talent set '%s'?" -- Requires localization
L["current_equipment"] = "Current: %s" -- Requires localization
L["equipment_menu_title1"] = "Select an equipment set to be equipped" -- Requires localization
L["equipment_menu_title2"] = "along with this set of talents:" -- Requires localization
L["equipment_not_found"] = "The equipment set %s was not found and has been unlinked from the talent set %s" -- Requires localization
L["link_equipment"] = "Link Equipment" -- Requires localization
L["no_talent_sets"] = "No %s talent sets available" -- Requires localization
L["set_already_exists"] = "A talent set with that name already exists" -- Requires localization
L["sets_limit_reached"] = "You cannot create any more new talent sets." -- Requires localization

elseif locale == "zhCN" then 
L["confirm_delete_set"] = "Are you sure you want to delete the talent set %s?" -- Requires localization
L["confirm_overwrite_set"] = "You already have a talent set named %s. Would you like to overwrite it?" -- Requires localization
L["confirm_save_set"] = "Would you like to save the talent set '%s'?" -- Requires localization
L["current_equipment"] = "Current: %s" -- Requires localization
L["equipment_menu_title1"] = "Select an equipment set to be equipped" -- Requires localization
L["equipment_menu_title2"] = "along with this set of talents:" -- Requires localization
L["equipment_not_found"] = "The equipment set %s was not found and has been unlinked from the talent set %s" -- Requires localization
L["link_equipment"] = "Link Equipment" -- Requires localization
L["no_talent_sets"] = "No %s talent sets available" -- Requires localization
L["set_already_exists"] = "A talent set with that name already exists" -- Requires localization
L["sets_limit_reached"] = "You cannot create any more new talent sets." -- Requires localization

elseif locale == "zhTW" then 
L["confirm_delete_set"] = "你確定要刪除此天賦設定 %s嗎？"
L["confirm_overwrite_set"] = "你已經有個天賦設定名為 %s，你想要覆寫它嗎？"
L["confirm_save_set"] = "你想要儲存天賦設定'%s'嗎？"
L["current_equipment"] = "目前：%s"
L["equipment_menu_title1"] = "選擇一個套裝設定來裝備"
L["equipment_menu_title2"] = "天賦單獨的套裝設定："
L["equipment_not_found"] = "此套裝設定 %s 沒找到並且未連結至天賦 %s"
L["link_equipment"] = "連結裝備"
L["no_talent_sets"] = "No %s talent sets available" -- Requires localization
L["set_already_exists"] = "此天賦設定的名稱已經存在"
L["sets_limit_reached"] = "你不能在創建更多新天賦設定。"

elseif locale == "koKR" then
L["confirm_delete_set"] = "Are you sure you want to delete the talent set %s?" -- Requires localization
L["confirm_overwrite_set"] = "You already have a talent set named %s. Would you like to overwrite it?" -- Requires localization
L["confirm_save_set"] = "Would you like to save the talent set '%s'?" -- Requires localization
L["current_equipment"] = "Current: %s" -- Requires localization
L["equipment_menu_title1"] = "Select an equipment set to be equipped" -- Requires localization
L["equipment_menu_title2"] = "along with this set of talents:" -- Requires localization
L["equipment_not_found"] = "The equipment set %s was not found and has been unlinked from the talent set %s" -- Requires localization
L["link_equipment"] = "Link Equipment" -- Requires localization
L["no_talent_sets"] = "No %s talent sets available" -- Requires localization
L["set_already_exists"] = "A talent set with that name already exists" -- Requires localization
L["sets_limit_reached"] = "You cannot create any more new talent sets." -- Requires localization

else -- enUS
L["confirm_delete_set"] = "Are you sure you want to delete the talent set %s?"
L["confirm_overwrite_set"] = "You already have a talent set named %s. Would you like to overwrite it?"
L["confirm_save_set"] = "Would you like to save the talent set '%s'?"
L["current_equipment"] = "Current: %s"
L["equipment_menu_title1"] = "Select an equipment set to be equipped"
L["equipment_menu_title2"] = "along with this set of talents:"
L["equipment_not_found"] = "The equipment set %s was not found and has been unlinked from the talent set %s"
L["link_equipment"] = "Link Equipment"
L["no_talent_sets"] = "No %s talent sets available"
L["set_already_exists"] = "A talent set with that name already exists"
L["sets_limit_reached"] = "You cannot create any more new talent sets."

end